Subject: bug#13302: Series of 'Warning - invalid active: ...' during retrieving mail

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 01 Jan 2013 22:15:35 +0100

Tomasz Gajewski <[email-masked]> writes:

> Do you have any ideas what I should check?

Try grepping all files you have for the offending .nov data, perhaps?

> I have observed that it happens only if I open the summary buffer and
> leave it without doing anything. If I reply to some mail or delete
> some mail than after leaving buffer retrieving mail works without
> those warnings. Does it help somehow?

Huh.  That's even odder...  Perhaps the issue isn't a wrong data file
somewhere, but something not clearing a buffer before parsing?  But if
so, it's odd that other users aren't seeing this.

Try applying this patch to gnus-start, recompile, and post the
backtrace.  That may give us an inkling of what's going on, perhaps.

diff --git a/lisp/gnus-start.el b/lisp/gnus-start.el
index 8278bb0..18902f9 100644
--- a/lisp/gnus-start.el
+++ b/lisp/gnus-start.el
@@ -2200,6 +2200,7 @@ backend check whether the group actually exists."
 	   (and group
 		(symbolp group)
 		(set group nil))
+	   (debug)
 	   (unless ignore-errors
 	     (gnus-message 3 "Warning - invalid active: %s"
 			   (buffer-substring

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/